Interface Technology Basics VST 3.7 SDK for developing VST plug-in

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Public Attributes | List of all members
PClassInfo Struct Reference
Basic Interfaces

Basic Information about a class provided by the plug-in. More...

`#include <ipluginbase.h>`

## Public Types
enum | ClassCardinality { kManyInstances = 0x7FFFFFFF }
enum | { kCategorySize = 32 , kNameSize = 64 }

## Public Member Functions
| PClassInfo (const TUID _cid, int32 _cardinality, const char8 *_category, const char8 *_name)
| PClassInfo ()

## Public Attributes
TUID | cid
| Class ID 16 Byte class GUID.
int32 | cardinality
| Cardinality of the class, set to kManyInstances (see ClassCardinality)
char8 | category [kCategorySize]
| Class category, host uses this to categorize interfaces.
char8 | name [kNameSize]
| Class name, visible to the user.

## Detailed Description

Basic Information about a class provided by the plug-in.

## Member Enumeration Documentation

## ◆ ClassCardinality

enum ClassCardinality

Enumerator
kManyInstances |

## ◆ anonymous enum

anonymous enum

Enumerator
kCategorySize |
kNameSize |

## Constructor & Destructor Documentation

## ◆ PClassInfo() [1/2]

PClassInfo | ( | const TUID | _cid,
|  | int32 | _cardinality,
|  | const char8 * | _category,
|  | const char8 * | _name )
| inline

## ◆ PClassInfo() [2/2]

PClassInfo | ( |  | ) |
| inline

## Member Data Documentation

## ◆ cid

TUID cid

Class ID 16 Byte class GUID.

## ◆ cardinality

int32 cardinality

Cardinality of the class, set to kManyInstances (see ClassCardinality)

## ◆ category

char8 category[kCategorySize]

Class category, host uses this to categorize interfaces.

## ◆ name

char8 name[kNameSize]

Class name, visible to the user.

Empty

Copyright © Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.